#include <cstdio>
using namespace std;
char str[1024];
int main()
{
	int n;
	scanf("%d%s",&n,str);
	for(int i=1;i<n;i++)
		if(str[i-1]!=str[i]) {
			printf("YES %c%c",str[i-1],str[i]);
			return 0;
		}
	puts("NO");
	return 0;
}